Package org.codelibs.fess.api.json
Class SearchApiManager.RequestParameter
java.lang.Object
org.codelibs.fess.entity.SearchRequestParams
org.codelibs.fess.api.json.SearchApiManager.RequestParameter
- Enclosing class:
SearchApiManager
The request parameters for suggest API.
-
Nested Class Summary
Nested classes/interfaces inherited from class org.codelibs.fess.entity.SearchRequestParams
SearchRequestParams.SearchRequestType -
Field Summary
Fields inherited from class org.codelibs.fess.entity.SearchRequestParams
AS_EPQ, AS_FILETYPE, AS_NQ, AS_OCCURRENCE, AS_OQ, AS_Q, AS_SITESEARCH, AS_TIMESTAMP -
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedRequestParameter(jakarta.servlet.http.HttpServletRequest request, String query, String[] tags, String[] fields, int num) Constructor for RequestParameter. -
Method Summary
Modifier and TypeMethodDescriptiongetAttribute(String name) Returns the attribute.Returns the conditions.String[]Returns the extra queries.Returns the facet info.Returns the fields.Returns the geo info.Returns the highlight info.String[]Returns the languages.Returns the locale.protected intgetNum()Gets the maximum number of suggestions to return.intReturns the offset.intReturns the page size.getQuery()Returns the query.Returns the similar document hash.getSort()Returns the sort.intReturns the start position.protected String[]Gets the suggest fields for the request.String[]getTags()Gets the tags for filtering suggestions.getType()Returns the search request type.protected static SearchApiManager.RequestParameterparse(jakarta.servlet.http.HttpServletRequest request) Parses the HTTP request to create a RequestParameter object.Methods inherited from class org.codelibs.fess.entity.SearchRequestParams
createFacetInfo, createGeoInfo, getMinScore, getParamValueArray, getResponseFields, getTrackTotalHits, hasConditionQuery, isEmptyArray, simplifyArray
-
Constructor Details
-
RequestParameter
protected RequestParameter(jakarta.servlet.http.HttpServletRequest request, String query, String[] tags, String[] fields, int num) Constructor for RequestParameter.- Parameters:
request- The HTTP servlet requestquery- The search query stringtags- Array of tags to filter suggestionsfields- Array of fields to search in for suggestionsnum- The maximum number of suggestions to return
-
-
Method Details
-
parse
protected static SearchApiManager.RequestParameter parse(jakarta.servlet.http.HttpServletRequest request) Parses the HTTP request to create a RequestParameter object.- Parameters:
request- The HTTP servlet request containing the parameters- Returns:
- A new RequestParameter object with parsed values
-
getQuery
Description copied from class:SearchRequestParamsReturns the query.- Specified by:
getQueryin classSearchRequestParams- Returns:
- The query.
-
getSuggestFields
Gets the suggest fields for the request.- Returns:
- Array of field names to search in for suggestions
-
getNum
protected int getNum()Gets the maximum number of suggestions to return.- Returns:
- The maximum number of suggestions
-
getFields
Description copied from class:SearchRequestParamsReturns the fields.- Specified by:
getFieldsin classSearchRequestParams- Returns:
- The fields.
-
getConditions
Description copied from class:SearchRequestParamsReturns the conditions.- Specified by:
getConditionsin classSearchRequestParams- Returns:
- The conditions.
-
getTags
Gets the tags for filtering suggestions.- Returns:
- Array of tags used to filter suggestions
-
getLanguages
Description copied from class:SearchRequestParamsReturns the languages.- Specified by:
getLanguagesin classSearchRequestParams- Returns:
- The languages.
-
getGeoInfo
Description copied from class:SearchRequestParamsReturns the geo info.- Specified by:
getGeoInfoin classSearchRequestParams- Returns:
- The geo info.
-
getFacetInfo
Description copied from class:SearchRequestParamsReturns the facet info.- Specified by:
getFacetInfoin classSearchRequestParams- Returns:
- The facet info.
-
getSort
Description copied from class:SearchRequestParamsReturns the sort.- Specified by:
getSortin classSearchRequestParams- Returns:
- The sort.
-
getStartPosition
public int getStartPosition()Description copied from class:SearchRequestParamsReturns the start position.- Specified by:
getStartPositionin classSearchRequestParams- Returns:
- The start position.
-
getOffset
public int getOffset()Description copied from class:SearchRequestParamsReturns the offset.- Specified by:
getOffsetin classSearchRequestParams- Returns:
- The offset.
-
getPageSize
public int getPageSize()Description copied from class:SearchRequestParamsReturns the page size.- Specified by:
getPageSizein classSearchRequestParams- Returns:
- The page size.
-
getExtraQueries
Description copied from class:SearchRequestParamsReturns the extra queries.- Specified by:
getExtraQueriesin classSearchRequestParams- Returns:
- The extra queries.
-
getAttribute
Description copied from class:SearchRequestParamsReturns the attribute.- Specified by:
getAttributein classSearchRequestParams- Parameters:
name- The name of the attribute.- Returns:
- The attribute.
-
getLocale
Description copied from class:SearchRequestParamsReturns the locale.- Specified by:
getLocalein classSearchRequestParams- Returns:
- The locale.
-
getType
Description copied from class:SearchRequestParamsReturns the search request type.- Specified by:
getTypein classSearchRequestParams- Returns:
- The search request type.
-
getSimilarDocHash
Description copied from class:SearchRequestParamsReturns the similar document hash.- Specified by:
getSimilarDocHashin classSearchRequestParams- Returns:
- The similar document hash.
-
getHighlightInfo
Description copied from class:SearchRequestParamsReturns the highlight info.- Specified by:
getHighlightInfoin classSearchRequestParams- Returns:
- The highlight info.
-